Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRReport

All Superinterfaces:
  JRDefaultFontProvider, JRDefaultStyleProvider, JRPropertiesHolder

All Known Implementing Classes:
  JasperDesign, JasperReport, JRBaseReport, TableReport

    public interface JRReport

extends JRDefaultFontProvider, JRDefaultStyleProvider, JRPropertiesHolder

An abstract representation of a Jasper report. This interface is inherited by all report implementations (designs, compiled reports, filled reports). It only contains constants and getters and setters for the most common report properties and elements.

Version:
  $Id: JRReport.java 3953 2010-09-20 13:54:34Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `LANGUAGE_GROOVY` A constant used to specify that the language used by expressions is Groovy.
`static java.lang.String` | `LANGUAGE_JAVA` A constant used to specify that the language used by expressions is Java.
`static byte` | `ORIENTATION_LANDSCAPE` Deprecated. Replaced by `OrientationEnum.LANDSCAPE`.
`static byte` | `ORIENTATION_PORTRAIT` Deprecated. Replaced by `OrientationEnum.PORTRAIT`.
`static byte` | `PRINT_ORDER_HORIZONTAL` Deprecated. Replaced by `PrintOrderEnum.HORIZONTAL`.
`static byte` | `PRINT_ORDER_VERTICAL` Deprecated. Replaced by `PrintOrderEnum.VERTICAL`.
`static byte` | `WHEN_NO_DATA_TYPE_ALL_SECTIONS_NO_DETAIL` Deprecated. Replaced by `WhenNoDataTypeEnum.ALL_SECTIONS_NO_DETAIL`.
`static byte` | `WHEN_NO_DATA_TYPE_BLANK_PAGE` Deprecated. Replaced by `WhenNoDataTypeEnum.BLANK_PAGE`.
`static byte` | `WHEN_NO_DATA_TYPE_NO_DATA_SECTION` Deprecated. Replaced by `WhenNoDataTypeEnum.NO_DATA_SECTION`.
`static byte` | `WHEN_NO_DATA_TYPE_NO_PAGES` Deprecated. Replaced by `WhenNoDataTypeEnum.NO_PAGES`.
`static byte` | `WHEN_RESOURCE_MISSING_TYPE_EMPTY` Deprecated. Replaced by `WhenResourceMissingTypeEnum.EMPTY`.
`static byte` | `WHEN_RESOURCE_MISSING_TYPE_ERROR` Deprecated. Replaced by `WhenResourceMissingTypeEnum.ERROR`.
`static byte` | `WHEN_RESOURCE_MISSING_TYPE_KEY` Deprecated. Replaced by `WhenResourceMissingTypeEnum.KEY`.
`static byte` | `WHEN_RESOURCE_MISSING_TYPE_NULL` Deprecated. Replaced by `WhenResourceMissingTypeEnum.NULL`.

Method Summary
`JRBand` | `getBackground()`
`int` | `getBottomMargin()`
`int` | `getColumnCount()` Gets the number of columns on each page
`RunDirectionEnum` | `getColumnDirection()` Specifies whether columns will be filled from left to right or from right to left.
`JRBand` | `getColumnFooter()`
`JRBand` | `getColumnHeader()`
`int` | `getColumnSpacing()` Specifies the space between columns on the same page.
`int` | `getColumnWidth()`
`JRDataset[]` | `getDatasets()` Returns the datasets of this report.
`JRBand` | `getDetail()` Deprecated. Replaced by `getDetailSection()`.
`JRSection` | `getDetailSection()`
`JRField[]` | `getFields()`
`JRReportFont[]` | `getFonts()` Gets an array of report fonts.
`java.lang.String` | `getFormatFactoryClass()` Gets the name of the class implementing the `FormatFactory` interface to use with this report.
`JRGroup[]` | `getGroups()`
`java.lang.String[]` | `getImports()` Gets an array of imports (needed if report expression require additional classes in order to compile).
`java.lang.String` | `getLanguage()` Gets the report language.
`JRBand` | `getLastPageFooter()`
`int` | `getLeftMargin()`
`JRDataset` | `getMainDataset()` Returns the main report dataset.
`java.lang.String` | `getName()` Gets the report name.
`JRBand` | `getNoData()`
`byte` | `getOrientation()` Deprecated. Replaced by `getOrientationValue()`.
`OrientationEnum` | `getOrientationValue()` Specifies whether document pages will be rendered in a portrait or landscape layout.
`JRBand` | `getPageFooter()`
`JRBand` | `getPageHeader()`
`int` | `getPageHeight()`
`int` | `getPageWidth()`
`JRParameter[]` | `getParameters()`
`byte` | `getPrintOrder()` Deprecated. Replaced by `getPrintOrderValue()`.
`PrintOrderEnum` | `getPrintOrderValue()` Specifies whether columns will be filled horizontally or vertically.
`java.lang.String` | `getProperty(java.lang.String name)` Gets a property value
`java.lang.String[]` | `getPropertyNames()` Gets an array of report properties names.
`JRQuery` | `getQuery()`
`java.lang.String` | `getResourceBundle()` Gets the base name of the report associated resource bundle.
`int` | `getRightMargin()`
`java.lang.String` | `getScriptletClass()`
`JRScriptlet[]` | `getScriptlets()`
`JRSortField[]` | `getSortFields()`
`JRStyle[]` | `getStyles()` Gets an array of report styles.
`JRBand` | `getSummary()`
`JRReportTemplate[]` | `getTemplates()` Returns the list of report templates.
`JRBand` | `getTitle()`
`int` | `getTopMargin()`
`JRVariable[]` | `getVariables()`
`byte` | `getWhenNoDataType()` Deprecated. Replaced by `getWhenNoDataTypeValue()`.
`WhenNoDataTypeEnum` | `getWhenNoDataTypeValue()` Specifies the report behavior in case of empty datasources.
`byte` | `getWhenResourceMissingType()` Deprecated. Replaced by `getWhenResourceMissingTypeValue()`.
`WhenResourceMissingTypeEnum` | `getWhenResourceMissingTypeValue()` Returns the resource missing handling type.
`boolean` | `isFloatColumnFooter()` Specifies if the column footer section will be printed at the bottom of the column or if it will immediately follow the last detail or group footer printed on the current column.
`boolean` | `isIgnorePagination()` Decides whether to use pagination when filling the report.
`boolean` | `isSummaryNewPage()` Specifies if the summary section will be printed on a separate last page.
`boolean` | `isSummaryWithPageHeaderAndFooter()` Specifies if the summary section will be accompanied by the page header and footer.
`boolean` | `isTitleNewPage()` Specifies if the title section will be printed on a separate initial page.
`void` | `removeProperty(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setWhenNoDataType(byte whenNoDataType)` Deprecated. Replaced by `setWhenNoDataType(WhenNoDataTypeEnum)`.
`void` | `setWhenNoDataType(WhenNoDataTypeEnum whenNoDataType)` Sets the report behavior in case of empty datasources.
`void` | `setWhenResourceMissingType(byte whenResourceMissingType)` Deprecated. Replaced by `setWhenResourceMissingType(WhenResourceMissingTypeEnum)`
`void` | `setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)` Sets the resource missing handling type.

Methods inherited from interface net.sf.jasperreports.engine.JRDefaultStyleProvider
`getDefaultStyle`

Methods inherited from interface net.sf.jasperreports.engine.JRDefaultFontProvider
`getDefaultFont`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Field Detail

### LANGUAGE_JAVA

    static final java.lang.String LANGUAGE_JAVA

  A constant used to specify that the language used by expressions is Java.

  See Also:
    Constant Field Values

### LANGUAGE_GROOVY

    static final java.lang.String LANGUAGE_GROOVY

  A constant used to specify that the language used by expressions is Groovy.

  See Also:
    Constant Field Values

### PRINT_ORDER_VERTICAL

    static final byte PRINT_ORDER_VERTICAL

  Deprecated. Replaced by `PrintOrderEnum.VERTICAL`.
  See Also:
    Constant Field Values

### PRINT_ORDER_HORIZONTAL

    static final byte PRINT_ORDER_HORIZONTAL

  Deprecated. Replaced by `PrintOrderEnum.HORIZONTAL`.
  See Also:
    Constant Field Values

### ORIENTATION_PORTRAIT

    static final byte ORIENTATION_PORTRAIT

  Deprecated. Replaced by `OrientationEnum.PORTRAIT`.
  See Also:
    Constant Field Values

### ORIENTATION_LANDSCAPE

    static final byte ORIENTATION_LANDSCAPE

  Deprecated. Replaced by `OrientationEnum.LANDSCAPE`.
  See Also:
    Constant Field Values

### WHEN_NO_DATA_TYPE_NO_PAGES

    static final byte WHEN_NO_DATA_TYPE_NO_PAGES

  Deprecated. Replaced by `WhenNoDataTypeEnum.NO_PAGES`.
  Specifies that in case of empty datasources, there will be an empty report.

  See Also:
    Constant Field Values

### WHEN_NO_DATA_TYPE_BLANK_PAGE

    static final byte WHEN_NO_DATA_TYPE_BLANK_PAGE

  Deprecated. Replaced by `WhenNoDataTypeEnum.BLANK_PAGE`.
  Specifies that in case of empty datasources, there will be a report with just one blank page.

  See Also:
    Constant Field Values

### WHEN_NO_DATA_TYPE_ALL_SECTIONS_NO_DETAIL

    static final byte WHEN_NO_DATA_TYPE_ALL_SECTIONS_NO_DETAIL

  Deprecated. Replaced by `WhenNoDataTypeEnum.ALL_SECTIONS_NO_DETAIL`.
  Specifies that in case of empty datasources, all sections except detail will displayed.

  See Also:
    Constant Field Values

### WHEN_NO_DATA_TYPE_NO_DATA_SECTION

    static final byte WHEN_NO_DATA_TYPE_NO_DATA_SECTION

  Deprecated. Replaced by `WhenNoDataTypeEnum.NO_DATA_SECTION`.
  Specifies that in case of empty datasources, the NoData section will be displayed.

  See Also:
    Constant Field Values

### WHEN_RESOURCE_MISSING_TYPE_NULL

    static final byte WHEN_RESOURCE_MISSING_TYPE_NULL

  Deprecated. Replaced by `WhenResourceMissingTypeEnum.NULL`.
  Return NULL when a resource is missing.

  See Also:
    Constant Field Values

### WHEN_RESOURCE_MISSING_TYPE_EMPTY

    static final byte WHEN_RESOURCE_MISSING_TYPE_EMPTY

  Deprecated. Replaced by `WhenResourceMissingTypeEnum.EMPTY`.
  Return empty string when a resource is missing.

  See Also:
    Constant Field Values

### WHEN_RESOURCE_MISSING_TYPE_KEY

    static final byte WHEN_RESOURCE_MISSING_TYPE_KEY

  Deprecated. Replaced by `WhenResourceMissingTypeEnum.KEY`.
  Return the key when a resource is missing.

  See Also:
    Constant Field Values

### WHEN_RESOURCE_MISSING_TYPE_ERROR

    static final byte WHEN_RESOURCE_MISSING_TYPE_ERROR

  Deprecated. Replaced by `WhenResourceMissingTypeEnum.ERROR`.
  Throw an exception when a resource is missing.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Gets the report name.

### getLanguage

    java.lang.String getLanguage()

  Gets the report language. Should be Java or Groovy.

### getColumnCount

    int getColumnCount()

  Gets the number of columns on each page

### getPrintOrder

    byte getPrintOrder()

  Deprecated. Replaced by `getPrintOrderValue()`.

### getPrintOrderValue

    PrintOrderEnum getPrintOrderValue()

  Specifies whether columns will be filled horizontally or vertically.

  Returns:
    a value representing one of the print order constants in `PrintOrderEnum`

### getColumnDirection

    RunDirectionEnum getColumnDirection()

  Specifies whether columns will be filled from left to right or from right to left.

  Returns:
    a value representing one of the column direction constants in `RunDirectionEnum`

### getPageWidth

    int getPageWidth()

### getPageHeight

    int getPageHeight()

### getOrientation

    byte getOrientation()

  Deprecated. Replaced by `getOrientationValue()`.

### getOrientationValue

    OrientationEnum getOrientationValue()

  Specifies whether document pages will be rendered in a portrait or landscape layout.

  Returns:
    a value representing one of the orientation constants in `OrientationEnum`

### getWhenNoDataType

    byte getWhenNoDataType()

  Deprecated. Replaced by `getWhenNoDataTypeValue()`.

### getWhenNoDataTypeValue

    WhenNoDataTypeEnum getWhenNoDataTypeValue()

  Specifies the report behavior in case of empty datasources.

### setWhenNoDataType

    void setWhenNoDataType(byte whenNoDataType)

  Deprecated. Replaced by `setWhenNoDataType(WhenNoDataTypeEnum)`.

### setWhenNoDataType

    void setWhenNoDataType(WhenNoDataTypeEnum whenNoDataType)

  Sets the report behavior in case of empty datasources.

### getColumnWidth

    int getColumnWidth()

### getColumnSpacing

    int getColumnSpacing()

  Specifies the space between columns on the same page.

### getLeftMargin

    int getLeftMargin()

### getRightMargin

    int getRightMargin()

### getTopMargin

    int getTopMargin()

### getBottomMargin

    int getBottomMargin()

### isTitleNewPage

    boolean isTitleNewPage()

  Specifies if the title section will be printed on a separate initial page.

### isSummaryNewPage

    boolean isSummaryNewPage()

  Specifies if the summary section will be printed on a separate last page.

### isSummaryWithPageHeaderAndFooter

    boolean isSummaryWithPageHeaderAndFooter()

  Specifies if the summary section will be accompanied by the page header and footer.

### isFloatColumnFooter

    boolean isFloatColumnFooter()

  Specifies if the column footer section will be printed at the bottom of the column or if it will immediately follow the last detail or group footer printed on the current column.

### getScriptletClass

    java.lang.String getScriptletClass()

### getFormatFactoryClass

    java.lang.String getFormatFactoryClass()

  Gets the name of the class implementing the `FormatFactory` interface to use with this report.

### getResourceBundle

    java.lang.String getResourceBundle()

  Gets the base name of the report associated resource bundle.

### getPropertyNames

    java.lang.String[] getPropertyNames()

  Gets an array of report properties names.

### getProperty

    java.lang.String getProperty(java.lang.String name)

  Gets a property value

  Parameters:
    `name` - the property name

### setProperty

    void setProperty(java.lang.String name,
                     java.lang.String value)

### removeProperty

    void removeProperty(java.lang.String name)

### getImports

    java.lang.String[] getImports()

  Gets an array of imports (needed if report expression require additional classes in order to compile).

### getFonts

    JRReportFont[] getFonts()

  Gets an array of report fonts.

### getStyles

    JRStyle[] getStyles()

  Gets an array of report styles.

### getScriptlets

    JRScriptlet[] getScriptlets()

### getParameters

    JRParameter[] getParameters()

### getQuery

    JRQuery getQuery()

### getFields

    JRField[] getFields()

### getSortFields

    JRSortField[] getSortFields()

### getVariables

    JRVariable[] getVariables()

### getGroups

    JRGroup[] getGroups()

### getBackground

    JRBand getBackground()

### getTitle

    JRBand getTitle()

### getPageHeader

    JRBand getPageHeader()

### getColumnHeader

    JRBand getColumnHeader()

### getDetail

    JRBand getDetail()

  Deprecated. Replaced by `getDetailSection()`.

### getDetailSection

    JRSection getDetailSection()

### getColumnFooter

    JRBand getColumnFooter()

### getPageFooter

    JRBand getPageFooter()

### getLastPageFooter

    JRBand getLastPageFooter()

### getSummary

    JRBand getSummary()

### getNoData

    JRBand getNoData()

### getWhenResourceMissingType

    byte getWhenResourceMissingType()

  Deprecated. Replaced by `getWhenResourceMissingTypeValue()`.

### getWhenResourceMissingTypeValue

    WhenResourceMissingTypeEnum getWhenResourceMissingTypeValue()

  Returns the resource missing handling type.

### setWhenResourceMissingType

    void setWhenResourceMissingType(byte whenResourceMissingType)

  Deprecated. Replaced by `setWhenResourceMissingType(WhenResourceMissingTypeEnum)`

### setWhenResourceMissingType

    void setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)

  Sets the resource missing handling type.

  Parameters:
    `whenResourceMissingType` - the resource missing handling type

### getMainDataset

    JRDataset getMainDataset()

  Returns the main report dataset.

  The main report dataset consists of all parameters, fields, variables and groups of the report.

  Returns:
    the main report dataset

### getDatasets

    JRDataset[] getDatasets()

  Returns the datasets of this report.

  Returns:
    the datasets of this report

### isIgnorePagination

    boolean isIgnorePagination()

  Decides whether to use pagination when filling the report.

  If set to `true` the report will be generated on one long page.

  The design attribute can be overridden at fill time by the `IS_IGNORE_PAGINATION` parameter.

  Returns:
    whether to use pagination when filling the report

### getTemplates

    JRReportTemplate[] getTemplates()

  Returns the list of report templates.

  A report template is an expression which resolves at runtime to a `template`. Templates include styles which can be used in the report.

  The order in which the templates are included in the report is important:
  - A style's parent must appear before the style itself.
  - A style overrides styles with the same name that are placed before it. Also, report styles override templates styles with the same name.

  Returns:
    the list of report templates, or `null` if none
  See Also:
    `JRTemplate`, `JRParameter.REPORT_TEMPLATES`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com